<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

// Load Composer's autoloader for PHPMailer
require 'vendor/autoload.php';
include_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Sanitize inputs
    $name = filter_var($_POST['name'], FILTER_SANITIZE_STRING);
    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    $phone = filter_var($_POST['phone'], FILTER_SANITIZE_NUMBER_INT);
    $message = filter_var($_POST['message'], FILTER_SANITIZE_STRING);
    
    
    if (!empty($name) && !empty($phone) && !empty($email) && !empty($message)) {
        // SQL query
        $sql = "INSERT INTO `contact-us` (name, phone, email, message, date) VALUES ('$name', '$phone', '$email', '$message', '$timestamp')";

        // Run the query
        if ($con->query($sql) === TRUE) {
            // Initialize PHPMailer and configure SMTP settings
            $mail = new PHPMailer(true);

            try {
                // Server settings for the customer email
                $mail->SMTPDebug = SMTP::DEBUG_OFF;                         // Disable debug output
                $mail->isSMTP();                                            // Send using SMTP
                $mail->Host = 'vps.wabble.in';                              // Set the SMTP server
                $mail->SMTPAuth = true;                                     // Enable SMTP authentication
                $mail->Username = $mailer;                                  // SMTP username (configured in config.php)
                $mail->Password = $mailerPassword;                          // SMTP password (configured in config.php)
                $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            // Enable implicit TLS encryption
                $mail->Port = 465;                                          // TCP port to connect to

                // Recipients
                $mail->setFrom($mailer, 'Golden Foundation Academy');
                $mail->addAddress($email, $name);                           // Add the recipient's email and name

                // Content of the email to the customer
                $mail->isHTML(true);                                        // Set email format to HTML
                $mail->Subject = 'Thank You for Your Message!';
                $mail->Body = '
<!DOCTYPE html>
<html>
<head>
  <title>Thank you for your message</title>
</head>
<body style="font-family: Arial, sans-serif; background-color: #f1f1f1; padding: 20px;">
  <div style="max-width: 600px; margin: 0 auto; background-color: #ffffff; box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); border-radius: 10px; padding: 20px;">
    <div style="text-align: center; padding: 10px;">
      <img src="https://gfaindian.com/images/logo-green.png" alt="Golden Foundation Academy" style="max-width: 50%;">
      <h1 style="color: #333;">We\'ve Received Your Message!</h1>
    </div>
    <div style="margin-top: 20px;">
      <p style="color: #333;">Dear ' . htmlspecialchars($name) . ',</p>
      <p style="color: #333;">Thank you for contacting Golden Foundation Academy! We have successfully received your message and our team will get back to you within 24 hours.</p>
      <p style="color: #333;">If your inquiry is urgent, feel free to contact us directly at +918858207878 or via email at info@gfaindian.com.</p>
      <p style="color: #333;">Best regards,<br>
        <strong>Istiyak Khan</strong><br>
        Golden Foundation Academy<br>
        746, PWD Road, Civil Line Sultanpur</p>
    </div>
    <div style="text-align: center; margin-top: 10px; color: #888888;">
      <hr style="width:80%; border-color: #ddd;">
      <p>&copy; 2008-' . date("Y") . ' Golden Foundation Academy.</p>
    </div>
  </div>
</body>
</html>';


                // Alternative plain text body
                $mail->AltBody = "Dear $name,\n\nThank you for contacting Golden Foundation Academy! We have received your message and our team will get back to you within 24 hours.\n\nFor urgent inquiries, you can reach us at +918858207878 or via email at info@gfaindian.com.\n\nBest regards,\nGolden Foundation Academy\n746, PWD Road, Civil Line Sultanpur";

                // Send the email to the customer
                $mail->send();

                // Send notification email to Director Istiyak Khan
                $mail->clearAddresses();  // Clear previous recipients
                $mail->addAddress('diwakarag021@gmail.com', 'Istiyak Khan');  // Add Director's email
                $mail->Subject = 'New Inquiry Received on GFAIndian.com';
                $mail->Body = 'Hello sir,<br><br>You have received a new inquiry on GFAIndian.com from ' . htmlspecialchars($name) . ' (Email: ' . htmlspecialchars($email) . ', Phone: ' . htmlspecialchars($phone) . ').<br><br>Message: ' . nl2br(htmlspecialchars($message)) . '<br><br>Best Regards,<br>GFA Indian Website';
                $mail->AltBody = "Hello sir,\n\nYou have received a new inquiry on GFAIndian.com from $name (Email: $email, Phone: $phone).\n\nMessage: $message\n\nBest Regards,\nGFA Indian Website";

                // Send the email to Istiyak Khan
                $mail->send();

                // Success message
                echo '<div class="alert alert-success">Message sent, we will reach out to you shortly!</div>';
            } catch (Exception $e) {
                echo '<div class="alert alert-warning">Email could not be sent. Please try again later.</div>';
            }

        } else {
            echo '<div class="alert alert-danger">Failed to submit your message, try again!</div>';
        }
    } else {
        echo '<div class="alert alert-danger">Please fill out all fields!</div>';
    }
}
?>
