<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

// Load Composer's autoloader for PHPMailer
require 'vendor/autoload.php';
include_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Sanitize input
    $cb_number = filter_var($_POST['cb_number'], FILTER_SANITIZE_NUMBER_INT);

    // Validate phone number
    if (!empty($cb_number)) {
        // Insert into database (optional)
        $sql = "INSERT INTO `callback` (`phone`,`date`) VALUES ('$cb_number', '$timestamp')";
        if ($con->query($sql) === TRUE) {
            
            // Initialize PHPMailer and configure SMTP settings
            $mail = new PHPMailer(true);

            try {
                // Server settings for the customer email
                $mail->SMTPDebug = SMTP::DEBUG_OFF;                         // Disable debug output
                $mail->isSMTP();                                            // Send using SMTP
                $mail->Host = 'vps.wabble.in';                              // Set the SMTP server
                $mail->SMTPAuth = true;                                     // Enable SMTP authentication
                $mail->Username = $mailer;                                  // SMTP username (configured in config.php)
                $mail->Password = $mailerPassword;                          // SMTP password (configured in config.php)
                $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            // Enable implicit TLS encryption
                $mail->Port = 465;                                          // TCP port to connect to

                // Recipients
                $mail->setFrom($mailer, 'Golden Foundation Academy');
                $mail->addAddress('diwakarag021@gmail.com', 'Istiyak Khan');  // Add Director's email

                // Email content
                $mail->isHTML(true);                                   // Set email format to HTML
                $mail->Subject = 'New Callback Request';
                $mail->Body = 'You have received a new callback request for the phone number: ' . $cb_number;
                $mail->AltBody = 'You have received a new callback request for the phone number: ' . $cb_number;

                // Send email
                $mail->send();
                echo '<div class="alert alert-success">Your request has been received. We will call you shortly!</div>';
            } catch (Exception $e) {
                echo '<div class="alert alert-danger">Error: Unable to send email. Please try again later.</div>';
            }
        } else {
            echo '<div class="alert alert-danger">Error: Unable to process your request. Please try again later.</div>';
        }
    } else {
        echo '<div class="alert alert-danger">Please enter a valid phone number.</div>';
    }
}
?>
