<?php
include_once 'config.php';

?>
<!DOCTYPE html>
<html lang="zxx">
<head>
  <meta charset="utf-8">
  <title>Contact</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
  
  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <!-- slick slider -->
  <link rel="stylesheet" href="plugins/slick/slick.css">
  <!-- themefy-icon -->
  <link rel="stylesheet" href="plugins/themify-icons/themify-icons.css">
  <!-- animation css -->
  <link rel="stylesheet" href="plugins/animate/animate.css">
  <!-- aos -->
  <link rel="stylesheet" href="plugins/aos/aos.css">
  <!-- venobox popup -->
  <link rel="stylesheet" href="plugins/venobox/venobox.css">

  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">
  
  <!--Favicon-->
  <link rel="shortcut icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
  <link rel="icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">

</head>

<body>
  

<?php include_once 'header.php'; ?>


<!-- page title -->
<section class="page-title-section overlay" data-background="images/backgrounds/page-title.jpg">
  <div class="container">
    <div class="row">
      <div class="col-md-8">
        <ul class="list-inline custom-breadcrumb">
          <li class="list-inline-item"><a class="h2 text-primary font-secondary" href="@@page-link">Contact Us</a></li>
          <li class="list-inline-item text-white h3 font-secondary @@nasted"></li>
        </ul>
        <p class="text-lighten">Do you have other questions? Don't worry, Just fill out the form below and we'll get back to you as soon as possible.</p>
      </div>
    </div>
  </div>
</section>
<!-- /page title -->

<!-- contact -->
<section class="section bg-gray">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <h2 class="section-title">Contact Us</h2>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-7 mb-4 mb-lg-0">
        <form id="contactForm" method="POST">
            <input type="text" class="form-control mb-3" id="name" name="name" placeholder="Your Name">
            <input type="email" class="form-control mb-3" id="email" name="email" placeholder="Your Email">
            <input type="text" class="form-control mb-3" id="phone" name="phone" placeholder="Your Phone Number">
            <textarea name="message" id="message" class="form-control mb-3" placeholder="Your Message"></textarea>
            <div id="formStatus"></div>
            <button type="submit" id="submitButton" class="btn btn-primary">SEND MESSAGE</button>
        </form>

          
          
        </form>
      </div>
      <div class="col-lg-5">
        <p class="mb-5">For any query, feel free to contact us</p>
        <a href="tel:+918858207878" class="text-color h5 d-block">+91 8858207878</a>
        <a href="tel:+919648929142" class="text-color h5 d-block">+91 9648929142</a>
        <a href="mailto:info@gfaindian.com" class="mb-5 text-color h5 d-block">info@gfaindian.com</a>
        <p>746 Civil Line, PWD Road Sultanpur<BR> Uttar Pradesh (228001)</p>
      </div>
    </div>
  </div>
</section>
<!-- /contact -->

<!-- gmap -->
<section class="section pt-0">
  <!-- Google Map -->
  
  <iframe id="map_canvas" src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d14311.407811511841!2d82.0809301!3d26.2664679!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x399a7cf41106e343%3A0x6c0ad75d05d2e15a!2sGolden%20Foundation%20Academy!5e0!3m2!1sen!2sin!4v1676540223753!5m2!1sen!2sin" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
</section>
<!-- /gmap -->
<?php
include_once 'footer.php'; ?>


<script>
        document.getElementById('contactForm').addEventListener('submit', function (event) {
            event.preventDefault();  // Prevent form from submitting immediately
            
            // Get the submit button and change its text to "Sending..."
            var submitButton = document.getElementById('submitButton');
            submitButton.innerHTML = 'Sending...';
            submitButton.disabled = true;  // Disable the button to prevent multiple submissions
            
            // Prepare form data
            var formData = new FormData(this);

            // Make the request using Fetch API
            fetch('FormSubmit.php', {
                method: 'POST',
                body: formData
            })
            .then(response => response.text())
            .then(data => {
                // Display the server response
                document.getElementById('formStatus').innerHTML = data;

                // Clear form fields
                document.getElementById('contactForm').reset();

                // Change the button text back to "Send Message"
                submitButton.innerHTML = 'SEND MESSAGE';
                submitButton.disabled = false;
            })
            .catch(error => {
                // Handle any errors
                document.getElementById('formStatus').innerHTML = '<div class="alert alert-danger">An error occurred. Please try again.</div>';

                // Change the button text back to "Send Message"
                submitButton.innerHTML = 'SEND MESSAGE';
                submitButton.disabled = false;
            });
        });
    </script>

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<!-- slick slider -->
<script src="plugins/slick/slick.min.js"></script>
<!-- aos -->
<script src="plugins/aos/aos.js"></script>
<!-- venobox popup -->
<script src="plugins/venobox/venobox.min.js"></script>
<!-- mixitup filter -->
<script src="plugins/mixitup/mixitup.min.js"></script>
<!-- google map -->
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCcABaamniA6OL5YvYSpB3pFMNrXwXnLwU&libraries=places"></script>
<script src="plugins/google-map/gmap.js"></script>

<!-- Main Script -->
<script src="js/script.js"></script>

</body>
</html>