<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

// Load Composer's autoloader for PHPMailer
require 'vendor/autoload.php';
include_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Sanitize inputs
    $name = filter_var($_POST['name'], FILTER_SANITIZE_STRING);
    $course = filter_var($_POST['course'], FILTER_SANITIZE_STRING);
    $phone = filter_var($_POST['phone'], FILTER_SANITIZE_NUMBER_INT);
    $message = filter_var($_POST['message'], FILTER_SANITIZE_STRING);
    
    
    if (!empty($name) && !empty($phone) && !empty($course) && !empty($message)) {
        // SQL query
        $sql = "INSERT INTO `contact-us` (`name`, `phone`, `course`, `message`, `date`) VALUES ('$name', '$phone', '$course', '$message', '$timestamp')";

        // Run the query
        if ($con->query($sql) === TRUE) {
            // Initialize PHPMailer and configure SMTP settings
            $mail = new PHPMailer(true);

            try {
                // Server settings for the customer email
                $mail->SMTPDebug = SMTP::DEBUG_OFF;                         // Disable debug output
                $mail->isSMTP();                                            // Send using SMTP
                $mail->Host = 'vps.wabble.in';                              // Set the SMTP server
                $mail->SMTPAuth = true;                                     // Enable SMTP authentication
                $mail->Username = $mailer;                                  // SMTP username (configured in config.php)
                $mail->Password = $mailerPassword;                          // SMTP password (configured in config.php)
                $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            // Enable implicit TLS encryption
                $mail->Port = 465;                                          // TCP port to connect to

                // Recipients
                $mail->setFrom($mailer, 'Golden Foundation Academy');
                $mail->addAddress('diwakarag021@gmail.com', 'Istiyak Khan');  // Add Director's email
                $mail->Subject = 'New Inquiry Received on GFAIndian.com';
                $mail->Body = 'Hello sir,<br><br>You have received a new inquiry on GFAIndian.com from ' . htmlspecialchars($name) . ' (Course: ' . htmlspecialchars($course) . ', Phone: ' . htmlspecialchars($phone) . ').<br><br>Message: ' . nl2br(htmlspecialchars($message)) . '<br><br>Best Regards,<br>GFA Indian Website';
                $mail->AltBody = "Hello sir,\n\nYou have received a new inquiry on GFAIndian.com from $name (Course: $course, Phone: $phone).\n\nMessage: $message\n\nBest Regards,\nGFA Indian Website";

                // Send the email to Istiyak Khan
                $mail->send();

                // Success message
                echo '<div class="alert alert-success">Message sent, we will reach out to you shortly!</div>';
            } catch (Exception $e) {
                echo '<div class="alert alert-warning">Email could not be sent. Please try again later.</div>';
            }

        } else {
            echo '<div class="alert alert-danger">Failed to submit your message, try again!</div>';
        }
    } else {
        echo '<div class="alert alert-danger">Please fill out all fields!</div>';
    }
}
?>
