<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>Frequently asked questions</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
  
  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <!-- slick slider -->
  <link rel="stylesheet" href="plugins/slick/slick.css">
  <!-- themefy-icon -->
  <link rel="stylesheet" href="plugins/themify-icons/themify-icons.css">
  <!-- animation css -->
  <link rel="stylesheet" href="plugins/animate/animate.css">
  <!-- aos -->
  <link rel="stylesheet" href="plugins/aos/aos.css">
  <!-- venobox popup -->
  <link rel="stylesheet" href="plugins/venobox/venobox.css">

  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">
  
  <!--Favicon-->
  <link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
  <link rel="icon" href="images/favicon.ico" type="image/x-icon">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css" />

</head>
<style type="text/css">
  /*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap");

:root {
  --accent-color: #595252;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: #eee;
  color: #444;
}

h1 {
  margin: 50px 0 30px;
  text-align: center;
  color: var(--accent-color);
}

.faq-container {
  max-width: 800px;
  margin: 0 auto;
  border-radius: 10px;
  background-color: #fff;
  overflow: hidden;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.faq {
  box-sizing: border-box;
  background: transparent;
  padding: 30px;
  position: relative;
  overflow: hidden;
}

.faq:not(:first-child) {
  border-top: 1px solid #e6e6e6;
}

.faq-title {
  margin: 0 35px 0 0;
}

.faq-text {
  margin: 30px 0 0;
  display: none;
  line-height: 1.5rem;
}

.faq.active {
  background-color: #f8f8f8;
  box-shadow: inset 4px 0px 0px 0px var(--accent-color);
}

.faq.active .faq-title {
  color: var(--accent-color);
}

.faq.active .faq-text {
  display: block;
}

.faq-toggle {
  background-color: transparent;
  border: 1px solid #e6e6e6;
  color: inherit;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  padding-top: 3px;
  position: absolute;
  top: 30px;
  right: 30px;
  height: 30px;
  width: 30px;
  transition: 0.3s ease;
}

.faq-toggle:focus {
  outline: none;
}

.faq.active .faq-toggle {
  transform: rotate(180deg);
  background-color: var(--accent-color);
  border-color: var(--accent-color);
  color: #fff;
}

</style>
<body>
  
<?php include_once 'header.php'; ?>

<!-- page title -->
<section class="page-title-section overlay" data-background="images/backgrounds/page-title.jpg">
  <div class="container">
    <div class="row">
      <div class="col-md-8">
        <ul class="list-inline custom-breadcrumb">
          <li class="list-inline-item"><a class="h2 text-primary font-secondary" href="@@page-link">Frequently asked questions</a></li>
          <li class="list-inline-item text-white h3 font-secondary @@nasted"></li>
        </ul>
        <p class="text-lighten"></p>
      </div>
    </div>
  </div>
</section>
<!-- /page title -->


<h1>Frequently Asked Questions</h1>


<div class="faq-container">
  <div class="faq">
    <h3 class="faq-title">
      What is CCC?
    </h3>
    <p class="faq-text">CCC stands for Course on Computer Concepts, which is a basic computer course that covers topics such as computer fundamentals, operating systems, word processing, spreadsheet, presentation, and internet.</p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>

  <div class="faq active">
    <h3 class="faq-title">
     What is Tally?
    </h3>
    <p class="faq-text">Tally is an accounting software that is widely used in businesses to maintain their financial transactions, including sales, purchases, inventory, payroll, and more.</p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>

  <div class="faq">
    <h3 class="faq-title">
      What accounting courses do you offer?
    </h3>
    <p class="faq-text">We offer various accounting courses, such as Tally, GST, Financial Accounting, and Cost Accounting, that provide hands-on experience and practical knowledge in accounting.
</p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>

  <div class="faq">
    <h3 class="faq-title">
     What is O level?
    </h3>
    <p class="faq-text">O level is a basic computer course that covers topics such as computer fundamentals, programming concepts, and database management. It is equivalent to the first year of a computer science degree.</p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>

  <div class="faq">
    <h3 class="faq-title">
      What typing courses do you offer?
    </h3>
    <p class="faq-text">We offer various typing courses, such as English and Hindi typing, that teach touch typing techniques and improve typing speed and accuracy.</p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>

  <div class="faq">
    <h3 class="faq-title">
      What MS Office courses do you offer?
    </h3>
    <p class="faq-text">
We offer MS Office courses, such as MS Word, MS Excel, MS PowerPoint, and MS Outlook, that teach essential skills to create and manage documents, spreadsheets, presentations, and emails.
    </p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>
 
  <div class="faq">
    <h3 class="faq-title">
      What web development courses do you offer?
    </h3>
    <p class="faq-text">
We offer web development courses, such as HTML, CSS, JavaScript, PHP, and MySQL, that teach essential skills to create and manage websites and web applications.
    </p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>
  <div class="faq">
    <h3 class="faq-title">
      What is the duration of the courses?
    </h3>
    <p class="faq-text">
  The duration of the courses depends on the level and content of the course. Our basic courses can be completed within a few weeks, while the advanced courses may take several months to complete.
    </p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>
  <div class="faq">
    <h3 class="faq-title">
       What is the mode of teaching for the courses?
    </h3>
    <p class="faq-text">
We offer both online and offline modes of teaching for our courses. Our online courses are conducted through video conferencing, while the offline courses are conducted in our institute.
    </p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>


  <div class="faq">
    <h3 class="faq-title">
Do you provide certificates after completing the courses?
    </h3>
    <p class="faq-text">
Yes, we provide certificates after completing the courses that are recognized by the industry and can be used to showcase your skills to potential employers.

    </p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>


  <div class="faq">
    <h3 class="faq-title">
       Do you provide job placement assistance?
    </h3>
    <p class="faq-text">

Yes, we provide job placement assistance to our students by connecting them with job openings in relevant industries and helping them prepare for interviews.
    </p>
    <button class="faq-toggle">
      <i class="fas fa-angle-down"></i>
    </button>
  </div>




</div>

 <BR>
  <BR>
  <BR>
  <BR>
  <BR>
  <BR>


<!-- /about -->

<?php include_once 'footer.php'; ?>


<script type="text/javascript">
  const buttons = document.querySelectorAll(".faq-toggle");

buttons.forEach((button) => {
  button.addEventListener("click", () =>
    button.parentElement.classList.toggle("active")
  );
});

</script>

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<!-- slick slider -->
<script src="plugins/slick/slick.min.js"></script>
<!-- aos -->
<script src="plugins/aos/aos.js"></script>
<!-- venobox popup -->
<script src="plugins/venobox/venobox.min.js"></script>
<!-- mixitup filter -->
<script src="plugins/mixitup/mixitup.min.js"></script>
<!-- google map -->
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCcABaamniA6OL5YvYSpB3pFMNrXwXnLwU&libraries=places"></script>
<script src="plugins/google-map/gmap.js"></script>

<!-- Main Script -->
<script src="js/script.js"></script>

</body>
</html>