<?php
include_once '../../config.php';
isAdminLogin();

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['addcourse'])) {
    // Sanitize and validate inputs
    $course = filter_var($_POST['course'], FILTER_SANITIZE_STRING);
    $coursename = filter_var($_POST['coursename'], FILTER_SANITIZE_STRING);
    $regfee = filter_var($_POST['regfee'], FILTER_SANITIZE_NUMBER_INT);
    $offerfee = filter_var($_POST['offerfee'], FILTER_SANITIZE_NUMBER_INT);
    $duration = filter_var($_POST['duration'], FILTER_SANITIZE_NUMBER_INT);
    $coursetype = filter_var($_POST['coursetype'], FILTER_SANITIZE_STRING);

    // Validate required fields
    if (!empty($course) && !empty($coursename) && !empty($regfee) && !empty($offerfee) && !empty($duration) && !empty($coursetype)) {
        
        // Check if files are uploaded
        if (isset($_FILES['syllabus']) && isset($_FILES['image'])) {

            // Check file sizes: syllabus max size 1MB, image max size 500KB
            if ($_FILES['syllabus']['size'] <= 1 * 1024 * 1024) {  // Syllabus must be less than or equal to 1MB
                if ($_FILES['image']['size'] <= 500 * 1024) {  // Image must be less than or equal to 500KB
                    $s5="SELECT * FROM `courses` where `course` = '$course'";
                    $r5 = $con->query($s5);
                    if($r5->num_rows == 0){

                    $s51="SELECT * FROM `courses` where `coursename` = '$coursename'";
                    $r51 = $con->query($s51);
                    if($r51->num_rows == 0){

                    // Handle image upload
                    $photo = '';
                    $imageName = uniqid() . '_' . basename($_FILES['image']['name']);
                    $uploadDir = '../../images/courses/';
                    $uploadFile = $uploadDir . $imageName;
                    $imageType = pathinfo($uploadFile, PATHINFO_EXTENSION);

                    // Allow only jpg and jpeg
                    $allowedTypes = ['jpg', 'jpeg'];
                    if (in_array($imageType, $allowedTypes)) {
                        if (move_uploaded_file($_FILES['image']['tmp_name'], $uploadFile)) {
                            $photo = $imageName;
                        } else {
                            $m = 'Failed to upload image. Please try again!';
                        }
                    } else {
                        $m = 'Only JPG and JPEG files are allowed.';
                    }

                    // Handle syllabus upload
                    $syllabus = '';
                    $syllabusName = uniqid() . '_' . basename($_FILES['syllabus']['name']);
                    $syllabusFile = $uploadDir . $syllabusName;
                    if (move_uploaded_file($_FILES['syllabus']['tmp_name'], $syllabusFile)) {
                        $syllabus = $syllabusName;
                    } else {
                        $m = 'Failed to upload syllabus. Please try again!';
                    }

                    // Insert data into the `courses` table
                    if (empty($m)) {
                        $s2 = "INSERT INTO `courses`(`course`, `coursename`, `duration`, `regfee`, `offerfee`, `coursetype`, `photo`, `syllabus`)
                               VALUES ('$course', '$coursename', '$duration', '$regfee', '$offerfee', '$coursetype', '$photo', '$syllabus')";
                        
                        if ($con->query($s2) === TRUE) {
                            echo "<script>alert('Course Added!');</script>";
                            header('Refresh: 0');
                        } else {
                            // Log the database error
                            $m = 'Database error: ' . $con->error;
                        }
                    }
                    } else {
                        $m = $coursename.' is already in database!';
                    }
                    } else {
                        $m = $course.' is already in database!';
                    }

                } else {
                    $m = 'Image should be less than 500KB.';
                }
            } else {
                $m = 'Syllabus should be less than 1MB.';
            }
        } else {
            $m = 'Please select both a cover photo and syllabus.';
        }
    } else {
        $m = 'Please enter all required details!';
    }

}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <link rel="icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <title>Add Courses</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/select2.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap-datetimepicker.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
<style>
    #imagePreview {
        max-width: 150px;
        max-height: 150px;
        margin-top: 10px;
        border: 2px solid #ddd;
        display: none;
    }
</style>
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'director_header.php'; ?>
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <a href="manage-courses"><button class="float-right btn btn-primary">Back</button></a>
                        <h4 class="page-title">Add Courses</h4>
                        <?php if (isset($m)) { echo '<span style="color: red;">' . $m . '</span>'; } ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <form method="POST" enctype="multipart/form-data">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Course</label>
                                        <input type="text" class="form-control" name="course" value="<?php echo @$course; ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Course Full Name</label>
                                        <input type="text" class="form-control" name="coursename" value="<?php echo @$coursename; ?>" required>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Duration</label>
                                        <select class="select" name="duration" required>
                                            <option value="0" selected>Select Duration</option>
                                            <option <?php if(@$duration == '1') echo 'selected'; ?> value="1">1 month</option>
                                            <option <?php if(@$duration == '2') echo 'selected'; ?> value="2">2 months</option>
                                            <option <?php if(@$duration == '3') echo 'selected'; ?> value="3">3 months</option>
                                            <option <?php if(@$duration == '4') echo 'selected'; ?> value="4">4 months</option>
                                            <option <?php if(@$duration == '5') echo 'selected'; ?> value="5">5 months</option>
                                            <option <?php if(@$duration == '6') echo 'selected'; ?> value="6">6 months</option>
                                            <option <?php if(@$duration == '9') echo 'selected'; ?> value="9">9 months</option>
                                            <option <?php if(@$duration == '12') echo 'selected'; ?> value="12">12 months</option>
                                            <option <?php if(@$duration == '24') echo 'selected'; ?> value="24">24 months</option>
                                            <option <?php if(@$duration == '36') echo 'selected'; ?> value="36">36 months</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Course Type</label>
                                        <select class="select" name="coursetype" required>
                                            <option value="0" selected>Select Course Type</option>
                                            <option <?php if(@$coursetype == 'Certificate') echo 'selected'; ?> value="Certificate">Certificate</option>
                                            <option <?php if(@$coursetype == 'Diploma') echo 'selected'; ?> value="Diploma">Diploma</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Regular Fee (&#8377;)</label>
                                        <input type="number" min="99" max="999999" class="form-control" name="regfee" value="<?php echo @$regfee; ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Offer Fee (&#8377;)</label>
                                        <input type="number" min="99" max="999999" class="form-control" name="offerfee" value="<?php echo @$offerfee; ?>" required>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Syllabus PDF (1MB)</label>
                                        <input type="file" class="form-control" name="syllabus" accept="application/pdf">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Cover Photo (250px X 200px) [max-500KB]</label>
                                        <input type="file" class="form-control" name="image" accept=".jpg,.jpeg" id="imageInput">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="m-t-20 text-center">
                                        <button type="submit" name="addcourse" class="btn btn-primary submit-btn">Add Course</button>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <img id="imagePreview" src="" alt="Cover Photo">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="sidebar-overlay" data-reff=""></div>
    <script>
        document.getElementById('imageInput').addEventListener('change', function(event) {
            const [file] = event.target.files;
            if (file) {
                const imagePreview = document.getElementById('imagePreview');
                imagePreview.src = URL.createObjectURL(file);
                imagePreview.style.display = 'block';
            }
        });
    </script>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/select2.min.js"></script>
    <script src="../assets/js/moment.min.js"></script>
    <script src="../assets/js/bootstrap-datetimepicker.min.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>
