<?php
include_once '../../config.php';
isAdminLogin();

// Fetch existing faculty details if 'edit' parameter is set
if (isset($_GET['edit'])) {
    $edit = $_GET['edit'];
    $s3 = "SELECT * FROM `courses` WHERE `sn` = '$edit'";
    $r3 = $con->query($s3);
    if ($r3->num_rows === 1) {
        $data = $r3->fetch_assoc();
    } else {
        header('location: manage-courses');
        exit(); // Important to exit after redirection
    }
} else {
    header('location: manage-courses');
    exit(); // Important to exit after redirection
}

// Handle form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Sanitize and filter all required variables
    $course = filter_input(INPUT_POST, 'course', FILTER_SANITIZE_STRING);
    $coursetype = filter_input(INPUT_POST, 'coursetype', FILTER_SANITIZE_STRING);
    $coursename = filter_input(INPUT_POST, 'coursename', FILTER_SANITIZE_STRING);
    $regfee = filter_input(INPUT_POST, 'regfee', FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
    $offerfee = filter_input(INPUT_POST, 'offerfee', FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
    $duration = filter_input(INPUT_POST, 'duration', FILTER_SANITIZE_NUMBER_INT);
    // File variables
    $image = $_FILES['image'];
    $syllabus = $_FILES['syllabus'];

    if (!empty($course) && !empty($offerfee) && !empty($coursename) && !empty($regfee)) {
        if ($coursetype != 0) {
            if ($duration != 0) {
                if (isset($image)) {
                    if (isset($syllabus)) {
                        if ($image['size'] < 500 * 1024) { // 500kb
                            if ($syllabus['size'] < 1 * 1024 * 1024) { // 1mb

                                // Add uniqid before image and syllabus filenames
                                $imageName = uniqid() . '-' . basename($image['name']);
                                $syllabusName = uniqid() . '-' . basename($syllabus['name']);

                                // Move uploaded files
                                if (move_uploaded_file($image['tmp_name'], "../../images/courses/$imageName")) {
                                    if (move_uploaded_file($syllabus['tmp_name'], "../../images/courses/$syllabusName")) {

                                        $s1 = "UPDATE `courses` SET 
                                                `course` = '$course', 
                                                `coursetype` = '$coursetype', 
                                                `coursename` = '$coursename', 
                                                `regfee` = '$regfee', 
                                                `offerfee` = '$offerfee', 
                                                `syllabus` = '$syllabusName', 
                                                `duration` = '$duration', 
                                                `photo` = '$imageName' 
                                                WHERE `sn` = '$edit'";
                                        
                                        $r1 = $con->query($s1);

                                        if ($r1 === true) {
                                            echo "<script>alert('Course details saved!');</script>";
                                            header('Refresh: 0');
                                            exit(); // Avoid further script execution after header
                                        } else {
                                            $m = 'Database error: ' . $con->error;
                                        }

                                    } else {
                                        $m = 'Failed to upload syllabus.';
                                    }
                                } else {
                                    $m = 'Failed to upload cover photo.';
                                }

                            } else {
                                $m = 'Syllabus file is too large. Must be less than 1MB.';
                            }
                        } else {
                            $m = 'Image file is too large. Must be less than 500KB.';
                        }
                    } else {
                        $m = 'Please upload the syllabus file.';
                    }
                } else {
                    $m = 'Please upload the cover photo.';
                }
            } else {
                $m = 'Please select a valid duration.';
            }
        } else {
            $m = 'Please select a valid course type.';
        }
    } else {
        $m = 'Please enter all required details.';
    }
}

if(!isset($duration)) $duration = $data['duration'];
if(!isset($coursetype)) $coursetype = $data['coursetype'];

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <link rel="icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <title>Edit Course</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/select2.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap-datetimepicker.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">

    <!-- Add CSS to style image preview -->
    <style>
        #imagePreview {
            max-width: 150px;
            max-height: 150px;
            margin-top: 10px;
            border: 2px solid #ddd;
        }
    </style>
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'director_header.php'; ?>
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <a href="manage-courses"><button class="float-right btn btn-primary">Back</button></a>
                        <h4 class="page-title">Edit Course</h4>
                        <?php if(isset($m)){ echo '<span style="color: red;">'.$m.'</span>'; } ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <form method="POST" enctype="multipart/form-data">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Course</label>
                                        <input type="text" class="form-control" name="course" value="<?php echo @$data['course']; ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Course Full Name</label>
                                        <input type="text" class="form-control" name="coursename" value="<?php echo @$data['coursename']; ?>" required>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Duration</label>
                                        <select class="select" name="duration" required>
                                            <option value="0" selected>Select Duration</option>
                                            <option <?php if(@$duration == '1') echo 'selected'; ?> value="1">1 month</option>
                                            <option <?php if(@$duration == '2') echo 'selected'; ?> value="2">2 months</option>
                                            <option <?php if(@$duration == '3') echo 'selected'; ?> value="3">3 months</option>
                                            <option <?php if(@$duration == '4') echo 'selected'; ?> value="4">4 months</option>
                                            <option <?php if(@$duration == '5') echo 'selected'; ?> value="5">5 months</option>
                                            <option <?php if(@$duration == '6') echo 'selected'; ?> value="6">6 months</option>
                                            <option <?php if(@$duration == '9') echo 'selected'; ?> value="9">9 months</option>
                                            <option <?php if(@$duration == '12') echo 'selected'; ?> value="12">12 months</option>
                                            <option <?php if(@$duration == '24') echo 'selected'; ?> value="24">24 months</option>
                                            <option <?php if(@$duration == '36') echo 'selected'; ?> value="36">36 months</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Course Type</label>
                                        <select class="select" name="coursetype" required>
                                            <option value="0" selected>Select Course Type</option>
                                            <option <?php if(@$coursetype == 'Certificate') echo 'selected'; ?> value="Certificate">Certificate</option>
                                            <option <?php if(@$coursetype == 'Diploma') echo 'selected'; ?> value="Diploma">Diploma</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Regular Fee (&#8377;)</label>
                                        <input type="number" min="99" max="999999" class="form-control" name="regfee" value="<?php echo $data['regfee']; ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Offer Fee (&#8377;)</label>
                                        <input type="number" min="99" max="999999" class="form-control" name="offerfee" value="<?php echo $data['offerfee']; ?>" required>
                                    </div>
                                </div>
                            </div>


                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Syllabus PDF (1MB)</label>
                                        <input type="file" class="form-control" name="syllabus" accept="application/pdf">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Cover Photo (250px X 200px) [max-500KB]</label>
                                        <input type="file" class="form-control" name="image" accept=".jpg,.jpeg" id="imageInput">
                                    </div>
                                </div>
                            </div>

                            
                            <!-- Image preview -->
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="m-t-20 text-center">
                                        <button type="submit" class="btn btn-primary submit-btn">Save</button>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <img id="imagePreview" src="../../images/courses/<?php echo $data['photo']; ?>" alt="Profile Picture">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="sidebar-overlay" data-reff=""></div>

    <!-- JavaScript to preview the image instantly -->
    <script>
        document.getElementById('imageInput').addEventListener('change', function(event) {
            const [file] = event.target.files;
            if (file) {
                const imagePreview = document.getElementById('imagePreview');
                imagePreview.src = URL.createObjectURL(file);
            }
        });
    </script>

    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/select2.min.js"></script>
    <script src="../assets/js/moment.min.js"></script>
    <script src="../assets/js/bootstrap-datetimepicker.min.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>