<?php
include_once '../../config.php';
isAdminLogin();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Sanitize and validate inputs
    $name = filter_var($_POST['name'], FILTER_SANITIZE_STRING);
    $designation = filter_var($_POST['designation'], FILTER_SANITIZE_STRING);
    $phone = filter_var($_POST['phone'], FILTER_SANITIZE_NUMBER_INT);
    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    $fb = filter_var($_POST['fb'], FILTER_SANITIZE_URL);
    $insta = filter_var($_POST['insta'], FILTER_SANITIZE_URL);
    $linkedin = filter_var($_POST['linkedin'], FILTER_SANITIZE_URL);
    
    // Validate required fields
    if (!empty($name) && !empty($designation) && !empty($phone) && !empty($email)) {
        
        // Handle profile photo upload
        $photo = '';
        if (!empty($_FILES['image']['name'])) {
            $imageName = uniqid() . '_' . basename($_FILES['image']['name']);
            $uploadDir = '../../images/faculties/';
            $uploadFile = $uploadDir . $imageName;
            $imageType = pathinfo($uploadFile, PATHINFO_EXTENSION);
            
            // Allow only jpg and jpeg
            $allowedTypes = ['jpg', 'jpeg'];
            if (in_array($imageType, $allowedTypes)) {
                if (move_uploaded_file($_FILES['image']['tmp_name'], $uploadFile)) {
                    $photo = $imageName;
                } else {
                    $m = 'Failed to upload image. Please try again!';
                }
            } else {
                $m = 'Only JPG and JPEG files are allowed.';
            }
        }

        // Fetch the max series from the `faculties` table
        $s3 = "SELECT MAX(series) AS series FROM `faculties`";
        $r3 = $con->query($s3);
        $d3 = $r3->fetch_assoc();
        $myseries = $d3['series'] + 1;

        // Insert data into the `faculties` table
        $s2 = "INSERT INTO `faculties`(`series`, `name`, `designation`, `photo`, `phone`, `email`, `fb`, `insta`, `linkedin`)
               VALUES ('$myseries', '$name', '$designation', '$photo', '$phone', '$email', '$fb', '$insta', '$linkedin')";
        
        if ($con->query($s2) === TRUE) {
            echo "<script>alert('Faculty Added!');</script>";
            #header('Refresh: 0');
        } else {
            $m = 'Database error. Please try again!';
        }
    } else {
        $m = 'Please enter all required details!';
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <link rel="icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <title>Add Faculty</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/select2.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap-datetimepicker.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'director_header.php'; ?>
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <a href="faculty"><button class="float-right btn btn-primary">Back</button></a>
                        <h4 class="page-title">Add Faculty</h4>
                        <?php if(isset($m)){ echo '<span style="color: red;">'.$m.'</span>'; } ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <form method="POST" enctype="multipart/form-data">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Name</label>
                                        <input type="text" class="form-control" name="name" value="<?php echo @$name; ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Designation</label>
                                        <input type="text" class="form-control" name="designation" value="<?php echo @$designation; ?>" required>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Phone</label>
                                        <input type="number" class="form-control" name="phone" value="<?php echo @$phone; ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Email</label>
                                        <input type="email" class="form-control" name="email" value="<?php echo @$email; ?>" required>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Facebook Profile Link</label>
                                        <input type="url" class="form-control" name="fb" value="<?php echo @$fb; ?>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Instagram Profile Link</label>
                                        <input type="url" class="form-control" name="insta" value="<?php echo @$insta; ?>">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>LinkedIn Profile Link</label>
                                        <input type="url" class="form-control" name="linkedin" value="<?php echo @$linkedin; ?>">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Profile Picture</label>
                                        <input type="file" class="form-control" name="image" accept=".jpg,.jpeg">
                                    </div>
                                </div>
                            </div>

                            <div class="m-t-20 text-center">
                                <button type="submit" name="add" value="Add Faculty" class="btn btn-primary submit-btn">Add Faculty</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="sidebar-overlay" data-reff=""></div>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/select2.min.js"></script>
    <script src="../assets/js/moment.min.js"></script>
    <script src="../assets/js/bootstrap-datetimepicker.min.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>
