<?php
include_once '../../config.php';
isAdminLogin();

$fpath="../../images/courses/";
if (isset($deletefile) && isset($delete) && is_numeric($delete)) {
    // Delete the Courses record from the database
    $s3 = "DELETE FROM `courses` WHERE `sn` = '$delete'";
    $r3 = $con->query($s3);

    if ($r3 == true) {
        // Delete the file from the directory
        $fpath = '../images/courses/';  // Ensure $fpath is defined with the correct path
        if (unlink($fpath . $deletefile)) {
            // Optionally run any further database operations after deleting the file
            $s4 = "DELETE FROM `courses` WHERE `sn` = '$delete'";  // Write query here if necessary
            $r4 = $con->query($s4);

            if ($r4 == true) {
                header("Refresh: 0");
            } else {
                echo "<script>alert('Failed to execute follow-up operation. Try again!');</script>";
            }
        } else {
            echo "<script>alert('Failed to delete the file.');</script>";
        }
    } else {
        $m = 'Failed to delete Courses record from the database';
    }
}


$num_per_page = 20;

// Set the search query
if (isset($_GET['search']) && !empty($_GET['search'])) {
    $search = $con->real_escape_string($_GET['search']);
    $pr_query = "SELECT `sn` FROM `courses` WHERE CONCAT(name,email,phone) LIKE '%$search%'";
} else {
    $pr_query = "SELECT `sn` FROM `courses`";
}

// Execute the query to count total records
$pr_result = $con->query($pr_query);
if (!$pr_result) {
    die('Query Error: ' . $con->error); // Display error if query fails
}

$total_record = $pr_result->num_rows;
$total_page = ceil($total_record / $num_per_page);

// Get current page number
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

// Ensure page number is within valid range
if ($page < 1) {
    $page = 1;
}
if ($page > $total_page) {
    $page = $total_page; 
}

$start_from = ($page - 1) * $num_per_page;

// Set the main SQL query based on the search term
if (isset($_GET['search']) && !empty($_GET['search'])) {
    $search = $con->real_escape_string($_GET['search']);
    $sql = "SELECT * FROM `courses` 
            WHERE CONCAT(name,email,phone) LIKE '%$search%' 
            ORDER BY `courses`.`sn` ASC 
            LIMIT $start_from, $num_per_page";
} else {
    $sql = "SELECT * FROM `courses` 
            ORDER BY `courses`.`sn` ASC 
            LIMIT $start_from, $num_per_page";
}

// Execute the main SQL query
$run = $con->query($sql);
if (!$run) {
    die('Query Error: ' . $con->error); // Display error if query fails
}

$row = $run->num_rows;

$pagename;
$i = ($page-1)*$num_per_page+1;



?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <link rel="icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <title>Manage Courses</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
    <!--[if lt IE 9]>
        <script src="../assets/js/html5shiv.min.js"></script>
        <script src="../assets/js/respond.min.js"></script>
    <![endif]-->
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'director_header.php'; ?>
        
         <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-sm-4 col-3">
                        <h4 class="page-title">Manage Courses</h4>
                    </div>
                    <div class="col-sm-8 col-9 text-right m-b-20">
                        <a href="course-add" class="btn btn-primary btn-rounded float-right"><i class="fa fa-plus"></i> Add Courses</a>
                    </div>
                </div>
                <div class="row doctor-grid">
<?php
if ($row > 0) {
    while ($data = $run->fetch_assoc()) {
        $ffile=$fpath.$data['photo'];
          if(!file_exists("$ffile") OR empty($data['photo'])){
            $ffile=$fpath."default.jpg";
          }
        ?>

                    <div class="col-md-4 col-sm-4  col-lg-3">
                        
                        <div class="profile-widget">
                            
                            <img style="max-width: 100%;" alt="" src="<?php echo @$ffile; ?>">
                            
                            <div class="dropdown profile-action">
                                
                                    <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
                                <div class="dropdown-menu dropdown-menu-right text-center">
                                    <a class="dropdown-item" href="course-edit?edit=<?php echo @$data['sn']; ?>"><i class="fa fa-pencil m-r-5"></i> Edit</a>
                                <form method="POST" onsubmit="return confirm('Do you really want to delelte?')">
                                    <input type="hidden" name="deletefile" value="<?php echo @$data['photo']; ?>">
                                    <button type="submit" name="delete" value="<?php echo @$data['sn']; ?>" style="width:100%;border:none;background: white;">
                                    <i class="fa fa-trash-o m-r-5"></i> Delete</button>
                                </form>
                                </div>
                                
                            </div>
                            <h4 style="background:#28A745;color:white;padding:10px;" class="doctor-name text-ellipsis"><?php echo @$data['course']; ?></h4>
                            <?php echo @$data['coursename']; ?>
                            <div class="text-left">
                                
                                <BR>
                                <p>
                                    Course type: <?php echo @$data['coursetype']; ?>  <BR>
                                    Duration: <?php echo @$data['duration']; ?> months <BR>

                                    Regular Fee: &#8377; <?php echo @$data['regfee']; ?> <BR>
                                    Offer Fee: &#8377; <?php echo @$data['offerfee']; ?> <BR><BR>
                                    <a target="blank" href="<?php echo @$data['offerfee']; ?>"><i class="fa fa-download"></i> Download Syllabus</a> <BR>
                                </p>
                            </div>
                             
                        </div>

                    </div>

                <?php     
        $i++;
    }
} else {
    echo 'No records found !!';
}
?>  
                    
                </div>
               
            </div>


    </div>
    <div class="sidebar-overlay" data-reff=""></div><!-- JavaScript Libraries -->
    <script type="text/javascript">
        function CopyMe(TextToCopy) {
            var TempText = document.createElement("input");
            TempText.value = TextToCopy;
            document.body.appendChild(TempText);
            TempText.select();
            document.execCommand("copy");
            document.body.removeChild(TempText);
            alert("Copied the text: " + TempText.value);
        }
    </script>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.dataTables.min.js"></script>
    <script src="../assets/js/dataTables.bootstrap4.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>
