<?php
include_once '../../config.php';
isAdminLogin();

$question_data = [];

if (isset($_GET['question_id'])) {
    $question_id = filter_var(trim($_GET['question_id']), FILTER_SANITIZE_NUMBER_INT);
    
    if (!empty($question_id)) {
        $sql = "SELECT * FROM `questions` WHERE sn = ?";
        $stmt = $con->prepare($sql);
        if ($stmt === false) {
            die('Prepare failed: ' . htmlspecialchars($con->error));
        }
        $stmt->bind_param('i', $question_id);
        $stmt->execute();
        $result = $stmt->get_result();
        $question_data = $result->fetch_assoc();
        $stmt->close();
    }
}

if (isset($_POST['update_question'])) {
    $question_id = filter_var(trim($_POST['question_id']), FILTER_SANITIZE_NUMBER_INT);
    $que = filter_var(trim($_POST['que']), FILTER_SANITIZE_STRING);
    $a = filter_var(trim($_POST['a']), FILTER_SANITIZE_STRING);
    $b = filter_var(trim($_POST['b']), FILTER_SANITIZE_STRING);
    $c = filter_var(trim($_POST['c']), FILTER_SANITIZE_STRING);
    $d = filter_var(trim($_POST['d']), FILTER_SANITIZE_STRING);
    $correct = filter_var(trim($_POST['correct']), FILTER_SANITIZE_STRING);

    if (!empty($question_id)) {
        $update_sql = "UPDATE `questions` SET que = ?, a = ?, b = ?, c = ?, d = ?, correct = ? WHERE sn = ?";
        $stmt = $con->prepare($update_sql);
        if ($stmt === false) {
            $m = htmlspecialchars($con->error);
        }
        $stmt->bind_param('ssssssi', $que, $a, $b, $c, $d, $correct, $question_id);

        if ($stmt->execute()) {
            echo "<script>alert('Question updated successfully!');</script>";
            $m = '<span style="color: green;">Question updated successfully!</span>';
            
            
        } else {
            $m = "Failed to update question!";
            echo "<script>alert('$m');</script>";
        }

        $stmt->close();
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="<?php echo htmlspecialchars($website); ?>images/favicon.png" type="image/x-icon">
    <link rel="icon" href="<?php echo htmlspecialchars($website); ?>images/favicon.png" type="image/x-icon">
    <title>Edit Question</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/select2.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap-datetimepicker.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
    <!--[if lt IE 9]>
        <script src="../assets/js/html5shiv.min.js"></script>
        <script src="../assets/js/respond.min.js"></script>
    <![endif]-->
</head>

<style>
.radio-options {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.option-box {
    display: flex;
    align-items: center;
    padding: 10px;
    border: 2px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    width: 100px;
    text-align: center;
    transition: border-color 0.3s ease;
}

.option-box:hover {
    border-color: #4CAF50;
}

.option-box input[type="radio"] {
    margin-right: 10px;
}

.option-box input[type="radio"]:checked + label {
    border-color: #4CAF50;
}

/* Optional: Add some spacing between buttons */
.option-box:not(:last-child) {
    margin-right: 10px;
}
</style>

<body>
    <div class="main-wrapper">
        <?php include_once 'director_header.php'; ?>
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <a href="question-sheet?course=<?php echo htmlspecialchars(@$_GET['course']); ?>"><button class="float-right btn btn-primary">Back</button></a>
                        <h4 class="page-title">Edit Question</h4>
                        <?php if(isset($m)){ echo '<span style="color: red;">'.$m.'</span>'; } ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        <form method="POST" enctype="multipart/form-data">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Course</label>
                                        <select class="select" id="floatingSelect" aria-label="Floating label select example">
                                            <option><?php echo htmlspecialchars($question_data['course'] ?? ''); ?></option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Question</label>
                                        <textarea required maxlength="100" class="form-control" name="que"><?php echo htmlspecialchars($question_data['que'] ?? ''); ?></textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Option A</label>
                                        <div class="">
                                            <input type="text" class="form-control" value="<?php echo htmlspecialchars($question_data['a'] ?? ''); ?>"  name="a" required>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Option B</label>
                                        <div class="">
                                            <input type="text" class="form-control" value="<?php echo htmlspecialchars($question_data['b'] ?? ''); ?>"  name="b" required>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Option C</label>
                                        <div class="">
                                            <input type="text" class="form-control" value="<?php echo htmlspecialchars($question_data['c'] ?? ''); ?>"  name="c" required>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Option D</label>
                                        <div class="">
                                            <input type="text" class="form-control" value="<?php echo htmlspecialchars($question_data['d'] ?? ''); ?>"  name="d" required>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Correct Option</label>
                                        <div class="radio-options">
                                            <label class="option-box">
                                                <input type="radio" name="correct" <?php if(@$question_data['correct'] == 'A') echo 'checked'; ?> required value="A"> A
                                            </label>
                                            <label class="option-box">
                                                <input type="radio" name="correct" <?php if(@$question_data['correct'] == 'B') echo 'checked'; ?> required value="B"> B
                                            </label>
                                            <label class="option-box">
                                                <input type="radio" name="correct" <?php if(@$question_data['correct'] == 'C') echo 'checked'; ?> required value="C"> C
                                            </label>
                                            <label class="option-box">
                                                <input type="radio" name="correct" <?php if(@$question_data['correct'] == 'D') echo 'checked'; ?> required value="D"> D
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <input type="hidden" name="question_id" value="<?php echo htmlspecialchars($question_id); ?>">
                            <input type="hidden" name="course" value="<?php echo htmlspecialchars($_GET['course']); ?>">
                            <div class="m-t-20 text-center">
                                <button type="submit" name="update_question" value="update_question" class="btn btn-primary submit-btn">Save</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sidebar-overlay" data-reff=""></div>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/select2.min.js"></script>
    <script src="../assets/js/moment.min.js"></script>
    <script src="../assets/js/bootstrap-datetimepicker.min.js"></script>
    <script src="../assets/js/app.js"></script>
    <script>
        $(function () {
            $('#datetimepicker3').datetimepicker({
                format: 'LT'
            });
            $('#datetimepicker4').datetimepicker({
                format: 'LT'
            });
        });
    </script>
</body>
</html>
