<?php
include_once '../../config.php';
isAdminLogin();

if (isset($_GET['course'])) {
    // Sanitize the course parameter
    $course = filter_var(trim($_GET['course']), FILTER_SANITIZE_STRING);

    $num_per_page = 20;

    // Set the search query if it exists
    if (isset($_GET['search']) && !empty($_GET['search'])) {
        $search = $con->real_escape_string($_GET['search']);
        $pr_query = "SELECT `sn` FROM `questions` WHERE `course` = '$course' AND CONCAT(question, a, b, c, d) LIKE '%$search%'";
    } else {
        $pr_query = "SELECT `sn` FROM `questions` WHERE `course` = '$course'";
    }

    // Execute the query to count total records
    $pr_result = $con->query($pr_query);
    if (!$pr_result) {
        die('Query Error: ' . $con->error); // Display error if query fails
    }

    $total_record = $pr_result->num_rows;
    $total_page = ceil($total_record / $num_per_page);

    // Get current page number
    $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

    // Ensure page number is within valid range
    if ($page < 1) {
        $page = 1;
    }
    if ($page > $total_page) {
        $page = $total_page;
    }

    $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

        // Ensure page number is at least 1
        if ($page < 1) {
            $page = 1;
        }

        $start_from = ($page - 1) * $num_per_page;


    // Set the main SQL query based on the search term
    if (isset($_GET['search']) && !empty($_GET['search'])) {
        $search = $con->real_escape_string($_GET['search']);
        $sql = "SELECT * FROM `questions` 
                WHERE `course` = '$course' AND CONCAT(question, a, b, c, d) LIKE '%$search%'  
                ORDER BY `questions`.`sn` DESC
                LIMIT $start_from, $num_per_page";
    } else {
        $sql = "SELECT * FROM `questions` 
                WHERE `course` = '$course'
                ORDER BY `questions`.`sn` DESC 
                LIMIT $start_from, $num_per_page";
    }

    // Execute the main SQL query
    $run = $con->query($sql);
    if (!$run) {
        die('Query Error: ' . $con->error); // Display error if query fails
    }

    $row = $run->num_rows;
}

// Deleting a question if 'delete_question' is set
if (isset($_POST['delete_question'])) {
    $question_id = filter_var(trim($_POST['question_id']), FILTER_SANITIZE_NUMBER_INT);
    if (!empty($question_id)) {
        $delete_sql = "DELETE FROM `questions` WHERE sn = ?";
        $stmt = $con->prepare($delete_sql);
        $stmt->bind_param('i', $question_id);
        if ($stmt->execute()) {
            #$m = "Question deleted successfully!";
        } else {
            $m = "Failed to delete question!";
            echo "<script>alert('$m');</script>";
        }
        
        $stmt->close();
        
        // Use 'Refresh' header to refresh the page after deletion
        header('Refresh: 0');
        exit;
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <link rel="icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <title>Question Sheet</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
    <!--[if lt IE 9]>
        <script src="../assets/js/html5shiv.min.js"></script>
        <script src="../assets/js/respond.min.js"></script>
    <![endif]-->
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'director_header.php'; ?>
        
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-sm-12">
                        <!-- h4 class="page-title">Question Sheet</h4 -->

                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box">
                            <div class="card-block">
                                <a href="question-add"><button class="float-right btn btn-primary">Add Question</button></a>
                                <h6 class="card-title text-bold">Question Sheet</h6>
                                
                                <p class="content-group">
                                    Manage questions for all exams
                                </p>
                                <?php if(isset($m)){ echo '<span style="color: red;">'.$m.'</span>'; } ?>
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                <form method="GET">

                                        <select class="form-control" name="course" onchange="form.submit()">
                                            <option value="0">Select Course</option>
                                            
                                            <?php $sfc="SELECT * FROM `courses`";
                                            $rfc=$con->query($sfc);
                                            while($dfc=$rfc->fetch_assoc()){
                                            ?>
                                            <option <?php if(@$course == $dfc['course']) echo 'selected'; ?> value="<?php echo $dfc['course']; ?>"><?php echo $dfc['course']; ?></option>
                                            <?php 
                                            }  
                                            ?>
                                        </select>
                                    </form>
                                </div>
                            </div>
                            
                            </div>
                        </div>
       

                                <div class="table-responsive">
                                    <table class="table table-stripped ">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Question</th>
                                            <th>Option A</th>
                                            <th>Option B</th>
                                            <th>Option C</th>
                                            <th>Option D</th>
                                            <th>Correct</th>
                                            <th colspan="2">Action</th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                      
<?php

$i = 1;
if (@$row > 0) {
    while ($data = $run->fetch_assoc()) {

        echo '<tr>
            
            <td scope="row">'. $i . '</td>
            
            <td scope="row">' . $data['que'] .  '</td>
            
            <td scope="row">' . $data['a'] . '</td>
            <td scope="row">' . $data['b'] . '</td>
            <td scope="row">' . $data['c'] . '</td>
            <td scope="row">' . $data['d'] . '</td>
            <td scope="row">' . $data['correct'] . '</td>
            <td scope="row">
             <form method="POST" style="display:inline;" onsubmit="return confirm('."'Do you really want to delete question?'".')">
                            <input type="hidden" name="question_id" value="' . $data['sn'] . '">
                            
                            <button class="btn btn-danger" style="min-width:50px;" type="submit" name="delete_question"><i class="fa fa-trash"></i></button>
                        <a href="question-edit.php?question_id=' . $data['sn'] . '&course=' . $course . '">
                            <button class="btn btn-primary" type="button" style="min-width:50px;"><i class="fa fa-edit"></i></button>
                        </a>
                        </form></td>
           ';
        
        echo '</tr>';
        $i++;
    }
} else {
    echo '<tr><th colspan="12">No records found !!</th></tr>';
}
?>  
                                    </tbody>
                                </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sidebar-overlay" data-reff=""></div><!-- JavaScript Libraries -->
    <script type="text/javascript">
        function CopyMe(TextToCopy) {
            var TempText = document.createElement("input");
            TempText.value = TextToCopy;
            document.body.appendChild(TempText);
            TempText.select();
            document.execCommand("copy");
            document.body.removeChild(TempText);
            alert("Copied the text: " + TempText.value);
        }
    </script>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.dataTables.min.js"></script>
    <script src="../assets/js/dataTables.bootstrap4.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>