<?php
include_once '../../config.php';
isAdminLogin();

$num_per_page = 10;

// Set the search query
if (isset($_GET['search']) && !empty($_GET['search'])) {
    $search = $con->real_escape_string($_GET['search']);
    $pr_query = "SELECT `sn` FROM `students` WHERE CONCAT(name, enroll) LIKE '%$search%'";
} else {
    $pr_query = "SELECT `sn` FROM `students`";
}

// Execute the query to count total records
$pr_result = $con->query($pr_query);
if (!$pr_result) {
    die('Query Error: ' . $con->error); // Display error if query fails
}

$total_record = $pr_result->num_rows;
$total_page = ceil($total_record / $num_per_page);

// Get current page number
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

// Ensure page number is within valid range
if ($page < 1) {
    $page = 1;
}
if ($page > $total_page) {
    $page = $total_page; 
}

$start_from = ($page - 1) * $num_per_page;

// Set the main SQL query based on the search term
if (isset($_GET['search']) && !empty($_GET['search'])) {
    $search = $con->real_escape_string($_GET['search']);
    $sql = "SELECT *, (SELECT `name` FROM `students` WHERE `frcode`=`students`.`frcode`) AS frname 
            FROM `students` 
            WHERE CONCAT(name, enroll) LIKE '%$search%' 
            ORDER BY `students`.`sn` ASC 
            LIMIT $start_from, $num_per_page";
} else {
    $sql = "SELECT * FROM `students` 
            ORDER BY `students`.`sn` ASC 
            LIMIT $start_from, $num_per_page";
}

// Execute the main SQL query
$run = $con->query($sql);
if (!$run) {
    die('Query Error: ' . $con->error); // Display error if query fails
}

$row = $run->num_rows;
$i = ($page-1)*$num_per_page+1;
$pagename;

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <link rel="icon" href="<?php echo @$website; ?>images/favicon.png" type="image/x-icon">
    <title>Franchisee</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
    <!--[if lt IE 9]>
		<script src="../assets/js/html5shiv.min.js"></script>
		<script src="../assets/js/respond.min.js"></script>
	<![endif]-->
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'director_header.php'; ?>
        
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-sm-12">
                        <h4 class="page-title">Students</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box">
                            <div class="card-block">
                                <h6 class="card-title text-bold">All Students</h6>
                                <p class="content-group">
                                    List of all students of all franchisee
                                </p>
								<div class="table-responsive">
									<table class="table table-stripped ">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Franchisee</th>
                                            <th>Name</th>
                                            <th>Father's Name</th>
                                            <th>Phone</th>
                                            <th>Email</th>
                                            <th>Status</th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                      
<?php


if ($row > 0) {
    while ($data = $run->fetch_assoc()) {
        $dhdate = $data['date'];
        echo '<tr>
            <td scope="row">' . $i . '</td>
            <td scope="row">' . $data['frcode'] . '</td>
            <td scope="row">' . $data['name'] . ' ' . $data['lastname'] . '</td>
            <td scope="row">' . $data['fname'] . '</td>
            <td scope="row">' . $data['phone'] . '</td>
            <td scope="row">' . date('d/m/Y', strtotime($dhdate)) . '</td>
            <th>';
        
        if ($data['status'] == 0) {
            echo 'Pending<i style="color:orange" class="fa fa-clock"></i>';
        } elseif ($data['status'] == 1) {
            echo 'Active<i style="color:green" class="fa fa-check-circle"></i>';
        } else {
            echo 'Cancelled<i style="color:red" class="fa fa-times-circle"></i>';
        }

        echo '</th></tr>';
        $i++;
    }
} else {
    echo '<tr><th colspan="12">No records found !!</th></tr>';
}
?>  
                                    </tbody>
                                </table>
								  <?php if ($page > 1): ?>
            <a href="?page=<?php echo $page - 1; ?>" class="btn btn-primary">Previous</a>
        <?php endif; ?>
        
        <?php if ($page < $total_page): ?>
            <a href="?page=<?php echo $page + 1; ?>" class="btn btn-primary float-right">Next</a>
        <?php endif; ?>
								</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sidebar-overlay" data-reff=""></div><!-- JavaScript Libraries -->
    <script type="text/javascript">
        function CopyMe(TextToCopy) {
            var TempText = document.createElement("input");
            TempText.value = TextToCopy;
            document.body.appendChild(TempText);
            TempText.select();
            document.execCommand("copy");
            document.body.removeChild(TempText);
            alert("Copied the text: " + TempText.value);
        }
    </script>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
	<script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.dataTables.min.js"></script>
    <script src="../assets/js/dataTables.bootstrap4.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>
