<?php
include_once '../../config.php';
isfrlogin();
include_once 'includes.php';
$pagename = isset($pagename) ? $pagename : 'student-add';


if(isset($_POST['add_student'])) {
    // Check if any field is empty
    if(!empty($_POST['name']) && !empty($_POST['lastname']) && !empty($_POST['phone']) && !empty($_POST['email']) && !empty($_POST['gender']) && !empty($_POST['fname']) && !empty($_POST['mname']) && !empty($_POST['qualification']) && !empty($_POST['dob'])) {
        // Filtering all data to remove special characters
        $name = filter_var($_POST['name'], FILTER_SANITIZE_STRING);
        $lastname = filter_var($_POST['lastname'], FILTER_SANITIZE_STRING);
        $phone = filter_var($_POST['phone'], FILTER_SANITIZE_NUMBER_INT);
        $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
        $gender = filter_var($_POST['gender'], FILTER_SANITIZE_STRING);
        $fname = filter_var($_POST['fname'], FILTER_SANITIZE_STRING);
        $mname = filter_var($_POST['mname'], FILTER_SANITIZE_STRING);
        $qualification = filter_var($_POST['qualification'], FILTER_SANITIZE_STRING);
        $dob = $_POST['dob'];
        
        // Check if phone and email are unique
        $phone_check_query = "SELECT * FROM students WHERE phone='$phone'";
        $email_check_query = "SELECT * FROM students WHERE email='$email'";
        $phone_result = mysqli_query($con, $phone_check_query);
        $email_result = mysqli_query($con, $email_check_query);
        $passkey = bin2hex(random_bytes(16));
        
        
        if(strlen($phone) !== 10){
          $m="Invalid Phone Number!";
        }
        elseif(mysqli_num_rows($phone_result) > 0) {
            $m= "Phone number already exists!";
        } elseif(mysqli_num_rows($email_result) > 0) {
            $m= "Email already exists!";
        } elseif($gender == '0') {
            $m= "Please select Gender";
        } elseif($qualification == '0') {
            $m= "Please select Qualification";
        } else {
            // Generating a unique ID
            $query = "SELECT MAX(sn) AS max_sn FROM `students`";
            $result = mysqli_query($con, $query);
            $data = mysqli_fetch_assoc($result);
            $max_sn = $data['max_sn'];
            $mysn = $max_sn + 1;
            $mysid = date('Ym') .'00'. $mysn;

            $s1="SELECT * FROM `students` where `sid`='$mysid'";
            $r1=$con->query($s1);
            if($r1->num_rows == 0){
              // Inserting data into the database
              $insert_query = "INSERT INTO `students`(`frcode`, `sid`, `name`, `lastname`, `fname`, `mname`, `dob`, `gender`, `qualification`, `phone`, `email`, `date`,`passkey`) VALUES ('$frcode','$mysid', '$name', '$lastname','$fname', '$mname','$dob', '$gender',  '$qualification','$phone', '$email','$timestamp','$passkey')";
              $myquery=mysqli_query($con, $insert_query);
              
              if($myquery == true){
                #mail key to student to generate password
                $_SESSION['encr_sid']=$mysid;
                echo "<script>alert('Registration Successfull, Please upload documents!');</script>";
                header("location: student-documents-upload");
                
              }
              else{
                $m= "Registration Failed!!";
              }
            } else $m='Please Try Again!!';
        }
    } else {
        $m= "Please fill in all fields!";
    }
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo @$website; ?>images/favicon.png">
    <title>Admission</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/select2.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
    <!--[if lt IE 9]>
        <script src="../assets/js/html5shiv.min.js"></script>
        <script src="../assets/js/respond.min.js"></script>
    <![endif]-->
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'fr_header.php'; ?>
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-lg-8 offset-lg-2">
                        

                        
                            <h3 class="page-title">Add Student</h3>
                            <?php if(isset($m)) { ?>
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong><?php echo $m; ?></strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <?php } ?>

                        <form method="POST">

                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>First Name</label>
                                        <input name="name" value="<?php echo htmlspecialchars(@$_POST['name']); ?>" onkeyup="clearSpecialChars(this)" class="form-control" placeholder="First Name" required type="text">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Last Name</label>
                                        <input name="lastname" value="<?php echo htmlspecialchars(@$_POST['lastname']); ?>" onkeyup="clearSpecialChars(this)" class="form-control" placeholder="Last Name" required type="text">
                                    </div>
                                </div>
                            </div>
                        
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Email</label>
                                        <input name="email" value="<?php echo htmlspecialchars(@$_POST['email']); ?>" required placeholder="Email" class="form-control" type="email">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Phone Number</label>
                                        <input name="phone" value="<?php echo htmlspecialchars(@$_POST['phone']); ?>" onkeyup="clearSpecialChars(this)"required placeholder="Phone Number" class="form-control" type="tel">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Date of Birth</label>
                                        <input name="dob" value="<?php echo htmlspecialchars(@$_POST['dob']); ?>" class="form-control" type="date" min="1950-01-01" max="<?php echo date('Y-m-d', strtotime('-8 years')); ?>" required>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Gender</label>
                                        <select class="form-control select" name="gender" required>
                                            <option value='0'>Select</option>
                                            <option <?php if(@$gender == 'Male') echo 'selected '; ?> value='Male'>Male</option>
                                            <option <?php if(@$gender == 'Female') echo 'selected '; ?> value='Female'>Female</option>
                                            <option <?php if(@$gender == 'Other') echo 'selected '; ?> value='Other'>Other</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Father's Name</label>
                                        <input name="fname" value="<?php echo htmlspecialchars(@$_POST['fname']); ?>" onkeyup="clearSpecialChars(this)" class="form-control" placeholder="Father's Name" required type="text">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Mother's Name</label>
                                        <input name="mname" value="<?php echo htmlspecialchars(@$_POST['mname']); ?>" onkeyup="clearSpecialChars(this)" class="form-control" placeholder="Father's Name" required type="text">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <label>Qualification</label>
                                        <select class="form-control select" name="qualification" >
                                        <option value='0'>Select</option>
                                        <option <?php if(@$qualification == 'Pre matric') echo 'selected '; ?> value='Pre matric'>Pre matric</option>
                                        <option <?php if(@$qualification == 'High School Diploma') echo 'selected '; ?> value="High School Diploma">High School Diploma</option>
                                        <option <?php if(@$qualification == 'Intermediate') echo 'selected '; ?> value="Intermediate">Intermediate</option>
                                        <option <?php if(@$qualification == "Associates Degree") echo 'selected '; ?> value="Associates Degree">Associate's Degree</option>
                                        <option <?php if(@$qualification == "Bachelors Degree") echo 'selected '; ?> value="Bachelors Degree">Bachelor's Degree</option>
                                        <option <?php if(@$qualification == "Masters Degree") echo 'selected '; ?> value="Masters Degree">Master's Degree</option>
                                        <option <?php if(@$qualification == 'Ph.D.') echo 'selected '; ?> value="Ph.D.">Ph.D.</option>
                                        <option <?php if(@$qualification == 'Diploma') echo 'selected '; ?> value="Diploma">Diploma</option>
                                        <option <?php if(@$qualification == 'Certificate') echo 'selected '; ?> value="Certificate">Certificate</option>
                                        <option <?php if(@$qualification == 'Technical Training') echo 'selected '; ?> value="Technical Training">Technical Training</option>
                                        <option <?php if(@$qualification == 'Other') echo 'selected '; ?> value="Other">Other</option>
                                        </select> 
                                    </div>
                                </div>
                            </div>



                           
                            <div class="row">
                                <div class="col-sm-12 text-center m-t-20">
                                    <input type="submit" value="Proceed" name="add_student" class=" btn-primary submit-btn">
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>

        </div>
    </div>

<script>
    // JavaScript function to clear special characters automatically
    function clearSpecialChars(input) {
        var regex = /[^\w\s]/gi;
        input.value = input.value.replace(regex, '');
    }
</script>
    <div class="sidebar-overlay" data-reff=""></div>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/select2.min.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>