<?php
include_once '../../config.php';
isfrlogin();
include_once 'includes.php';
$pagename = isset($pagename) ? $pagename : 'students';


$s1="SELECT * from `students` WHERE `frcode`='$frcode' ORDER BY `students`.`sn` DESC";
$r1=$con->query($s1);

$num_per_page = 10;

// Set the search query
if (isset($_GET['search']) && !empty($_GET['search'])) {
    $search = $con->real_escape_string($_GET['search']);
    $pr_query = "SELECT `sn` FROM `students` WHERE CONCAT(name, enroll) LIKE '%$search%' AND `frcode`='$frcode'";
} else {
    $pr_query = "SELECT `sn` FROM `students` WHERE `frcode`='$frcode'";
}

// Execute the query to count total records
$pr_result = $con->query($pr_query);
if (!$pr_result) {
    die('Query Error: ' . $con->error); // Display error if query fails
}

$total_record = $pr_result->num_rows;
$total_page = ceil($total_record / $num_per_page);

// Get current page number
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

// Ensure page number is within valid range
if ($page < 1) {
    $page = 1;
}
if ($page > $total_page) {
    $page = $total_page; 
}

$start_from = ($page - 1) * $num_per_page;

// Set the main SQL query based on the search term
if (isset($_GET['search']) && !empty($_GET['search'])) {
    $search = $con->real_escape_string($_GET['search']);
    $sql = "SELECT *, (SELECT `name` FROM `students` WHERE `frcode`=`students`.`frcode`) AS frname 
            FROM `students` 
            WHERE CONCAT(name, enroll) LIKE '%$search%' AND `frcode`='$frcode'
            ORDER BY `students`.`sn` DESC 
            LIMIT $start_from, $num_per_page";
} else {
    $sql = "SELECT * FROM `students` WHERE `frcode`='$frcode'
            ORDER BY `students`.`sn` DESC 
            LIMIT $start_from, $num_per_page";
}

// Execute the main SQL query
$run = $con->query($sql);
if (!$run) {
    die('Query Error: ' . $con->error); // Display error if query fails
}

$row = $run->num_rows;
$i = ($page-1)*$num_per_page+1;

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo @$website; ?>images/favicon.png">
    <title>Students</title>
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">
    <!--[if lt IE 9]>
        <script src="../assets/js/html5shiv.min.js"></script>
        <script src="../assets/js/respond.min.js"></script>
    <![endif]-->
</head>

<body>
    <div class="main-wrapper">
        <?php include_once 'fr_header.php'; ?>
        <div class="page-wrapper">
            <div class="content">
                <div class="row">
                    <div class="col-sm-12">
                        <h4 class="page-title">Students</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <table class="table  custom-table mb-0">
                                <thead>
                                    <tr>
                                        
										<th>Student</th>
										<th>Phone</th>
										<th>Email</th>
										<th>Courses</th>
										<th>Date</th>
										<th>Remarks</th>

                                    </tr>
                                </thead>
                                <tbody>
                                                                                                             
<?php
$i=1;

if($r1->num_rows> 0){
    while($d1=$r1->fetch_assoc()){
           
            echo '<tr>
			
            <td>
                <a href="profile?student='.$d1['sid'].'" class="avatar">'.substr($d1['name'],0,1).'</a>
                <h2><a href="profile?student='.$d1['sid'].'">'.$d1['name'].' '.$d1['lastname'].' <span>'.$d1['sid'].'</span></a></h2>
            </td>
			
			
			<td>'.printPhone($d1['phone']).'</td>
			<td>'.printEmail($d1['email']).'</td>
			<td>'.$d1['admissions'].'</td>
			<td>'.@date('H:i d/m/Y',$d1['date']).'</td>

			<td>';
			     if($d1['status'] == 1) { 
                    echo '<i class="fa fa-check-circle" style="color:green;"></i>'; 
                } elseif($d1['status'] == 0) { 
                    echo '<i class="fa fa-clock" style="color:orange;"></i>'; 
                } else { 
                    echo '<i class="fa fa-times-circle" style="color:red;"></i>'; 
                } 
			
			echo '</td>
			
		</tr>';
		$i++;
             
    }
}
else{
    echo '
    <tr>
        <th colspan="12">No records found !!</th>
    </tr>
    ';
}
?>                       
                                </tbody>
                            </table>
                            <BR>
<?php if ($page > 1): ?>
            <a href="?page=<?php echo $page - 1; ?>" class="btn btn-primary">Previous</a>
        <?php endif; ?>
        
        <?php if ($page < $total_page): ?>
            <a href="?page=<?php echo $page + 1; ?>" class="btn btn-primary float-right">Next</a>
        <?php endif; ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sidebar-overlay" data-reff=""></div>
    <script src="../assets/js/jquery-3.2.1.min.js"></script>
    <script src="../assets/js/popper.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/jquery.dataTables.min.js"></script>
    <script src="../assets/js/dataTables.bootstrap4.min.js"></script>
    <script src="../assets/js/jquery.slimscroll.js"></script>
    <script src="../assets/js/app.js"></script>
</body>
</html>